﻿
.transition (@property) {
    -webkit-transition: @property;
    -moz-transition: @property;
    -o-transition: @property;
    transition: @property
}

.transform(@degree) {
    transform: rotate(@degree);
    -ms-transform: rotate(@degree);
    -webkit-transform: rotate(@degree);
}

.clearfix,
.clearfix:before,
.clearfix:after {
    display: block;
    content: " ";
    clear: both;
    zoom: 1;
}

/* Resets */

* {
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box;
}

body {
    background: #EDF2F6;
    font-family: Arial;
    color: #444;
}

.wrap {
    margin: 0 auto;
    padding: 50px;
    max-width: 1200px;
}

/* Bar Graph Class */

.barGraph {
    position: relative;
    width: 100%;
    height: auto;
    margin-bottom: 50px;
    margin-left: 0px !important;
}

.graph {
    position: relative;
    list-style-type: none;
    padding: 0;
    margin: 0;
}

.graph-barBack {
    border-radius: 2px;
    background: #DAE4EB;
    margin-bottom: 10px;
    display: block;
}

.graph-bar {
    background-color: #59BAC0;
    .transition(all 1s ease-out);
    border-radius: 2px;
    cursor: pointer;
    margin-bottom: 10px;
    position: relative;
    z-index: 9999;
    display: block;
    height: 20px;
    width: 0%;
}


.graph-bar:after {
    content: attr(title);
    display: none;
    font-size: 12px;
    border-radius: 4px;
    background: rgba(0,0,0,0.8);
    color: #fff;
    line-height: 20px;
    height: 20px;
    padding: 0 10px;
    margin-left: 90px;
    width: 350px;
    top: 0;
}

.graph-bar:hover {
    .transition(all 0.5s ease);
    background: #428D92;
}

    .graph-bar:hover:after {
        display: block;
    }

.graph-legend {
    position: absolute;
    margin-right: 10px;
    left: 5px;
    bottom: 0.001em;
    z-index: 9999;
    white-space: nowrap;
}
